=== debian/changelog ===
dump1090-fa (4.0) stable; urgency=medium

  * dump1090: Build support for OS X, FreeBSD, OpenBSD [courtesy @mikenor / @apparentorder on Github, PRs #33 / #38]
  * dump1090: Overhaul of SDR / ring buffer / demodulator interface to make it easier to add new SDR types
  * dump1090: LimeSDR support [courtesy @Glutton on Github, PR #75]
  * dump1090: HackRF support [courtesy @kr105 on Github, PR #57]
  * dump1090: Stratux-compatible network output [courtesy @Determinant on Github, PR #61]
  * dump1090: Change option syntax for 2-bit correction from --fix --fix (introduced in 3.8.0) to --fix-2bit. Any number of --fix options now yields 1-bit correction.
  * dump1090: Support building under GCC 10 (github issue #65)
  * dump1090: Include a (disabled by default) example HTTPS configuration [courtesy @jwbernin on Github, PR #66)
  * dump1090: For manual builds, if no explicit SDR choice is made, autodetect available libraries via pkg-config
  * dump1090: Add a --version command-line option that shows just the version without needing to show the full help screen
  * dump1090: Only emit verbose command-line option help if --help is requested, not on any error
  * dump1090: List supported device types if --device-type is given without a device type
  * dump1090: Removed Debian Wheezy support (distribution is no longer supported upstream)
  * dump1090: Remove the "dump1090" Debian metapackage that exists only to provide an upgrade path from very very old installs
  * dump1090: Add package profiles to selectively build packages with reduced SDR library dependencies. See the README for details.
  * dump1090: If a network port option (--net-bo-port et al) is given on the command line, implicitly enable networking, but don't enable the default port assignments
  * dump1090: Provide Mode A / Mode C hit count in aircraft.json
  * SkyAware: Update aircraft registry to 20200924
  * SkyAware: Update to OpenLayers6
  * SkyAware: New basemap layers added/enabled
  * SkyAware: Added customizable aircraft table columns
  * SkyAware: Added URL query parameter feature to customize display [courtesy @sigwx on Github, PR #58)
  * SkyAware: Display registration number in aircraft table if ident is not present
  * SkyAware: Fix duplicated Access-Control-Allow-Origin header [courtesy @ianrenton on Github, PR #74)

 -- Eric Tran <eric.tran@flightaware.com>  Thu, 24 Sep 2020 10:21:00 -6000

dump1090-fa (3.8.1) stable; urgency=medium

  * SkyAware: Fixed SkyAware banner aspect ratio
  * SkyAware: Fixed issue with "Group By Data Type" and "All Aircraft Trails" checkboxes
    not saving across browser refreshes
  * SkyAware: Fixed bug with ShowFlags=False config.js setting
  * SkyAware: Added position age to aircraft detail pane
  * SkyAware: Added ability to customize range ring distances in SkyAware

 -- Eric Tran <eric.tran@flightaware.com>  Thu, 19 Mar 2020 09:20:00 -6000

dump1090-fa (3.8.0) stable; urgency=medium

  * general: Added support for building on Buster.
  * general: Replace use of usleep with nanosleep (PR #53)

  * dump1090: When applying CRC correction to a DF11 message, assume that the interrogator
    overlay value was 0 (e.g. as in an acquisiton squitter) and use the full 24-bit syndrome
    to correct errors; do not zero out the low 7 bits of the syndrome.
  * dump1090: Changes in aircraft tracking to try to reduce the number of bogus aircraft seen
    due to noise; this replaces the crude "require 2 messages" metric used previously.
  * dump1090: Added a new statistic for "unreliable tracks", aircraft that were tracked but
    which never passed the threshold for being considered a real aircraft.
  * dump1090: Added support for per-connection verbatim mode. "--net-verbatim" now controls the
    default connection setting, and the per-connection mode can be changed by a Beast settings
    command.
  * dump1090: Replaced "--aggressive" with "--fix --fix" for 2-bit CRC correction; include
    support for this in the standard build. 2-bit corrected messages are only emitted on
    verbatim connections.
  * dump1090: Update package default options: include "--fix", increase "--net-ro-size",
    decrease "--net-ro-interval", remove a duplicated "--net-bo-port" option.
  * dump1090: Fixes to CPR decoding when multiple position sources (e.g. ADS-B and MLAT) are
    being simultaneously received (PR #55)
  * dump1090: Track ADS-B, ADS-R, and TIS-B versions independently; use the appropriate version
    when decoding version-dependent messages.

  * view1090: Include ADS-B version in interactive display
  * view1090: Display a warning in the header in interactive mode if the dump1090 connection
    has been lost
  * view1090: Request verbatim mode when connecting to dump1090
  * view1090: Exit on connection loss in --no-interactive mode

  * SkyAware: Corrected icon selection for some aircraft types
  * SkyAware: Fixed display of settings checkboxes on high-DPI displays (PR #54)
  * SkyAware: Fixes to info box display (PR #51)
  * SkyAware: Hide scroll bar when not needed (PR #22)
  * SkyAware: Update aircraft registry to 20191216

 -- Oliver Jowett <oliver.jowett@flightaware.com>  Mon, 30 Dec 2019 22:11:52 +0800

dump1090-fa (3.7.2) stable; urgency=medium

  * dump1090: Fix reversed sense of Track Angle/Heading bit in surface opstatus messages
  * dump1090: Have filter-regs emit a special value "-COMPUTED-" for filtered data
    values, rather than blanking them out entirely
  * Fix registration side mappings with a non-zero offset
  * dump1090: Update aircraft DB to 20190816
  * dump1090: Reject outright libbladerf that's too old
  * dump1090: Trigger build after bladeRF build; turn off build durability; turn
    off concurrent builds
  * SkyAware: SkyAware Renaming
  * SkyAware: Fix some display errors for ground vehicles
  * SkyAware: Fix aircraft trail handling

 -- Eric Tran <eric.tran@flightaware.com>  Mon, 09 Sep 2019 09:25:00 -6000

dump1090-fa (3.7.1) stable; urgency=medium


