=== debian/control ===
Source: dump1090-fa
Section: embedded
Priority: extra
Maintainer: Oliver Jowett <oliver.jowett@flightaware.com>
Build-Depends: debhelper(>=9),
  librtlsdr-dev <!custom> <rtlsdr>,
  libbladerf-dev <!custom> <bladerf>,
  libhackrf-dev <!custom> <hackrf>,
  liblimesuite-dev <!custom> <limesdr>,
  libusb-1.0-0-dev <!custom> <rtlsdr> <bladerf> <hackrf> <limesdr>,
  pkg-config, dh-systemd, libncurses5-dev
Standards-Version: 3.9.3
Homepage: http://www.flightaware.com/
Vcs-Git: https://github.com/flightaware/dump1090.git

Package: dump1090-fa
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lighttpd
Description: FlightAware ADS-B Ground Station System for SDRs
 Networked Aviation Mode S / ADS-B decoder/translator with support
 for RTL-SDR, BladeRF, HackRF, and LimeSDR software defined radio USB
 device support.
