=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

ifeq ($(DEB_HOST_ARCH),armhf)
  # Assume a Pi-like target, where using an 8-bit table is a fairly big win over the float path
  CPPFLAGS += -DSC16Q11_TABLE_BITS=8
endif

ifeq (,$(filter custom,$(DEB_BUILD_PROFILES)))
  # Standard build
  RTLSDR = yes
  BLADERF = yes
  HACKRF = yes
  LIMESDR = yes
else
  # Custom build
  ifneq (,$(filter rtlsdr,$(DEB_BUILD_PROFILES)))
    RTLSDR = yes
  else
    RTLSDR = no
  endif
  ifneq (,$(filter bladerf,$(DEB_BUILD_PROFILES)))
    BLADERF = yes
  else
    BLADERF = no
  endif
  ifneq (,$(filter hackrf,$(DEB_BUILD_PROFILES)))
    HACKRF = yes
  else
    HACKRF = no
  endif
  ifneq (,$(filter limesdr,$(DEB_BUILD_PROFILES)))
    LIMESDR = yes
  else
    LIMESDR = no
  endif
endif

override_dh_auto_build:
	dh_auto_build -- RTLSDR=$(RTLSDR) BLADERF=$(BLADERF) HACKRF=$(HACKRF) LIMESDR=$(LIMESDR) DUMP1090_VERSION=$(DEB_VERSION)

override_dh_install:
	dh_install
	install -d debian/dump1090-fa/usr/bin
	cp -a dump1090 debian/dump1090-fa/usr/bin/dump1090-fa
	cp -a view1090 debian/dump1090-fa/usr/bin/view1090-fa

%:
	dh $@ --with=systemd
